Bug Hunting Session
Bug 116996 - Crash recover on selecting Tools -> Options -> Advanced: Enable experimental features
Summary: Crash recover on selecting Tools -> Options -> Advanced: Enable experimental ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: highest major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0 target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-04-13 16:43 UTC by V Stuart Foote
Modified: 2018-09-16 10:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
stack trace when unchecking enable experimental features (14.83 KB, text/plain)
2018-04-13 16:44 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2018-04-13 16:43:22 UTC
On current build of master on Windows 10 Home 64-bit en-US with
Version: 6.1.0.0.alpha0+ (x64)
Build ID: 55e84652ae84bd2374462ee19afd359a8cc90b95
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-13_05:08:28
Locale: en-US (en_US); Calc: CL

with or without OpenGL rendering enabled.

The Tools -> Options -> Advanced: Enable experimental features will crash and recover.  A stack trace with Symbols catches it in the dialog at:

vcllo!vcl::Window::GetFrameWeld+0xd
cuilo!makeSvxNoSpaceEdit+0x4559a
vcllo!Control::ImplCallEventListenersAndHandler+0x81
vcllo!Button::Click+0x4f
vcllo!vcl::Window::EndTracking+0x16c
Comment 1 V Stuart Foote 2018-04-13 16:44:30 UTC
Created attachment 141341 [details]
stack trace when unchecking enable experimental features
Comment 2 Telesto 2018-04-13 17:43:20 UTC
Repro with
Version: 6.1.0.0.alpha0+
Build ID: 84e2614a75a615d6c8584b13a69b3368d2a12a3d
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-12_09:11:38
Locale: nl-NL (nl_NL); Calc: CL

but not with
Version: 6.1.0.0.alpha0+
Build ID: bddd6c77811e0489a5632437116f5eec356cc397
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 3 V Stuart Foote 2018-04-13 18:18:08 UTC
@Caolán, so hey is this weld work you? Should be getting a restart for experimental features, instead a crash/recover.
Comment 4 raal 2018-04-14 06:47:37 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara ; Could you possibly take a look at this one?
Thanks

358193ca22082b0988a6ed14957de502af4bfc58 is the first bad commit
commit 358193ca22082b0988a6ed14957de502af4bfc58
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Wed Apr 11 16:06:56 2018 +0200

    source sha:a87569e9ea8db9a0d869570613603eebf7c145e8

author	Caolán McNamara <caolanm@redhat.com>	2018-04-11 12:53:18 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-04-11 15:37:27 +0200
commit	a87569e9ea8db9a0d869570613603eebf7c145e8 (patch)
tree	804a8673c5c763bbffef835e5fba65d7e46ececf
parent	5afe093d8994c37d239001e8e272ab86eea62dcb (diff)
weld RestartDialog
Comment 5 V Stuart Foote 2018-04-15 13:39:24 UTC
https://gerrit.libreoffice.org/#/c/52895/
Comment 6 Commit Notification 2018-04-15 19:01:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c07e83bbd79fb4a49cbb7b7e4f31403865989feb

Resolves: tdf#116996 null is a bad parent

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 V Stuart Foote 2018-04-16 14:18:11 UTC
Thanks, that got it...

Version: 6.1.0.0.alpha0+ (x64)
Build ID: d246aa574571409046619254292698184c2545a3
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-16_02:10:59
Locale: en-US (en_US); Calc: CL
Comment 8 Commit Notification 2018-09-16 10:39:58 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e00de4022d7d432985bd90c556bee436daabdd0b

uitest for bug tdf#116996

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.